# quaternion.rb

Path: | lib/facets/more/quaternion.rb
Last Update: | Wed Dec 05 20:39:29 +0000 2007

# quaternion.rb

## Copyright (c) 2002 K. Kodama

      Ruby License

      This module is free software. You may use, modify, and/or redistribute this
      software under the same terms as Ruby.

      This program is distributed in the hope that it will be useful, but WITHOUT
      ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
      FOR A PARTICULAR PURPOSE.

## Author(s)

- K. Kodama

## Developer Notes

      TODO The following documentation should occur before the methods
           they describe.

### Required files

mathn complex

### Methods

Quaternion

### Public Instance methods

Quaternion(a=0, b=0,c=0, d=0)

[Validate]